Bug 722834 - Can't show case-run's comment that adding by others but not yourself
Can't show case-run's comment that adding by others but not yourself
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.5
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Yuguang Wang
tools-bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-18 03:41 EDT by Xin Gao
Modified: 2015-05-27 18:38 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.5.0-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Xin Gao 2011-07-18 03:41:39 EDT
Description of problem:
As Summary, in a case-run, user just can show comments by himself, but can't show them adding by others.

Version-Release number of selected component (if applicable):
3.5 on stage

How reproducible:
100%

Steps to Reproduce:
1. Enter into a run(including one or more case-run(s) ).
2. Select one case-run who include comments adding by others. 
   Refer to following link(The first case-run has been added comments by xgao and jzhao).
   https://tcms-stage.englab.bne.redhat.com/run/22257/#caserun_547844
3. Verify whether you can show those comments adding by others but not yourself.
  
Actual results:
User just can show comments by himself, but can't show them adding by others.

Expected results:
Everyone should can view all of comments no matter who's the creator.

Additional info:
Comment 1 Chaobin Tang 2011-07-21 06:19:24 EDT
This was a regression bug introduced by #703718.

Programming error located in testcase_actions.js, where repeated ID reference were found. This made an illusion that comment were only added to the first caserun, factually all added, but only that of the first caserun is visible by clicking the 'Show All' link.

Fixed.
Comment 2 Xin Gao 2011-07-25 00:54:57 EDT
Verify version:
3.5.0-4 on stage.

Actual results:
work normally

Verify result: PASSED

Note You need to log in before you can comment on or make changes to this bug.